package com.jpsoft.shinestar.modules.base.service;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.CanteenInfo;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface CanteenInfoService {
	CanteenInfo get(String id);
	boolean exist(String id);
	int insert(CanteenInfo model);
	int update(CanteenInfo model);
	int delete(String id);
	List<CanteenInfo> list();
	Page<CanteenInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}